CustomGraphDatabaseServer (Neo4j Apoc 1.1 API)
Keywords: org.neo4j.remote.CustomGraphDatabaseServer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.remote
Class CustomGraphDatabaseServer

    java.lang.Object
      org.neo4j.remote.CustomGraphDatabaseServer

    public final class CustomGraphDatabaseServer

extends Object

A remote graph database server that uses a custom protocol for communication with the client.

Author:
  Tobias Ivarsson

Constructor Summary
`CustomGraphDatabaseServer(GraphDatabaseService graphDb, SocketAddress endpoint, boolean useSSL)` Create a new Custom protocol remote graph database server.

Method Summary
`static RemoteConnection` | `connect(SocketAddress remote, boolean useSSL)` Internal API for setting up a connection to a server.
`static RemoteConnection` | `connect(SocketAddress remote, boolean useSSL, String username, String password)` Internal API for setting up a connection to a server.
`void` | `shutdown()` Shut down the server.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CustomGraphDatabaseServer

    public CustomGraphDatabaseServer(GraphDatabaseService graphDb,
                                     SocketAddress endpoint,
                                     boolean useSSL)
                              throws IOException

  Create a new Custom protocol remote graph database server.

  Parameters:
    `graphDb` - the `GraphDatabaseService` used to back the server.
    `endpoint` - The address to listen for incoming connections on.
    `useSSL` - `true` if the server should secure the communication through SSL.
  Throws:
    `IOException` - If opening or binding the server socket fails.

Method Detail

### shutdown

    public void shutdown()

  Shut down the server.

### connect

    public static RemoteConnection connect(SocketAddress remote,
                                           boolean useSSL)

  Internal API for setting up a connection to a server.

  Parameters:
    `remote` -
    `useSSL` -
  Returns:
    the connection

### connect

    public static RemoteConnection connect(SocketAddress remote,
                                           boolean useSSL,
                                           String username,
                                           String password)

  Internal API for setting up a connection to a server.

  Parameters:
    `remote` -
    `useSSL` -
    `username` -
    `password` -
  Returns:
    the connection

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Neo4j. All Rights Reserved.